﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

namespace Binding
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public partial class MainForm : Form
	{
		private List<ClassUser> myList = new List<ClassUser>();
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			defaultData();
			bindingAll();
		}
		private void bindingAll()
		{
			this.textBox1.DataBindings.Add("Text",this.myList,"UserName");
			this.textBox2.DataBindings.Add("Text",this.myList,"LoginName");
			this.richTextBox1.DataBindings.Add("Text",this.myList,"Info");
			this.comboBox1.DataSource = this.myList;
			this.comboBox1.DisplayMember = "UserName";
			this.listBox1.DataSource = this.myList;
			this.listBox1.DisplayMember = "LoginName";			
			this.checkBox1.DataBindings.Add("Checked",this.myList,"IsAdmin");
			
			//DataGridView	
			DataGridViewTextBoxColumn userColumn = new DataGridViewTextBoxColumn();
			userColumn.DataPropertyName = "UserName";
			userColumn.HeaderText = "Header user name";
			
			DataGridViewTextBoxColumn loginColumn = new DataGridViewTextBoxColumn();
			loginColumn.DataPropertyName = "LoginName";
			loginColumn.HeaderText = "Login name";
			
			DataGridViewTextBoxColumn infoColumn = new DataGridViewTextBoxColumn();
			infoColumn.DataPropertyName = "Info";
			infoColumn.HeaderText = "Info";
			
			DataGridViewTextBoxColumn ageColumn = new DataGridViewTextBoxColumn();
			ageColumn.DataPropertyName = "Age";
			ageColumn.HeaderText = "Age";
			
			
			DataGridViewCheckBoxColumn adminColumn = new DataGridViewCheckBoxColumn();
			adminColumn.DataPropertyName = "IsAdmin";
			adminColumn.HeaderText = "Admin";

			this.dataGridView1.Columns.Add(userColumn);
			this.dataGridView1.Columns.Add(loginColumn);
			this.dataGridView1.Columns.Add(infoColumn);
			this.dataGridView1.Columns.Add(ageColumn);
			this.dataGridView1.Columns.Add(adminColumn);
			
			this.dataGridView1.DataSource = this.myList;
			
		}
		private void defaultData()
		{
			
			
			ClassUser user1 = new ClassUser();
			user1.UserName ="user1";
			user1.LoginName ="user1Login";
			user1.Info = "Info about user1";
			user1.Age = 15;
			user1.IsAdmin = true;
			myList.Add(user1);
			
			ClassUser user2 = new ClassUser();
			user2.UserName ="user2";
			user2.LoginName ="user2Login";
			user2.Info = "Info about user2";
			user2.Age = 25;
			user2.IsAdmin = true;
			myList.Add(user2);
			
			ClassUser user3 = new ClassUser();
			user3.UserName ="Ferko";
			user3.LoginName ="Ferko33";
			user3.Info = "Info about Ferko";
			user3.Age = 31;
			user3.IsAdmin = false;
			myList.Add(user3);
		}
	}
}
